#[derive(Clone, Copy)]
pub struct Color {
    r:f32,
    g:f32,
    b:f32,
}
impl Color {
    pub fn rgb(r:u8, g:u8, b:u8) -> Self
    {
        Self {
            r: r as f32 / 255.,
            g: g as f32 / 255.,
            b: b as f32 / 255.,
        }
    }

    pub fn frgb(r:f32, g:f32, b:f32) -> Self
    {
        Self { r, g, b }
    }
}
